#
# spec file for package python3-django-tastypie
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-django-tastypie
Version:        0.13.3
Release:        2.44
Url:            http://github.com/toastdriven/django-tastypie/
Summary:        A flexible & capable API layer for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-tastypie/django-tastypie-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-Sphinx
BuildRequires:  python3-PyYAML
BuildRequires:  python3-biplist
BuildRequires:  python3-dateutil >= 1.5
BuildRequires:  python3-django >= 1.2
BuildRequires:  python3-lxml
BuildRequires:  python3-python-mimeparse >= 0.1.3
BuildRequires:  python3-setuptools
Requires:       python3-dateutil >= 1.5
Requires:       python3-django >= 1.2
Requires:       python3-python-mimeparse >= 0.1.3
Recommends:     python3-PyYAML
Recommends:     python3-biplist
Recommends:     python3-lxml
Recommends:     python3-python-digest
BuildArch:      noarch

%description
Creating delicious APIs for Django apps since 2010.

%prep
%setup -q -n django-tastypie-%{version}

%build
python3 setup.py build
pushd docs
PYTHONPATH="$PYTHONPATH:%{buildroot}%{python3_sitelib}:%{buildroot}%{python3_sitearch}" make html
popd

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst docs/_build/html
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Wed Feb 17 2016 arun@gmx.de
- update to version 0.13.3:
  * Permit changing existing value on a ToOneField to None. (Closes
    [#1449])
* Mon Feb 15 2016 arun@gmx.de
- update to version 0.13.2:
  * Fix in Resource.save_related: related_obj can be empty in patch
    requests (introduced in #1378). (Fixes #1436)
  * Fixed bug that prevented fitlering on related
    resources. apply_filters hook now used in obj_get. (Fixes #1435,
    Fixes #1443)
  * Use build_filters in obj_get. (Fixes #1444)
  * Updated DjangoAuthorization to disallow read unless a user has
    change permission. (#1407, PR #1409)
  * Authorization classes now handle usernames containing
    spaces. Closes #966.
  * Cleaned up old, unneeded code. (closes PR #1433)
    + Reuse Django test Client.patch(). (@SeanHayes, closes #1442)
    + Just a typo fix in the testing docs (by @bezidejni, closes #810)
    + Removed references to patterns() (by @SeanHayes, closes #1437)
    + Removed deprecated methods Resource.apply_authorization_limits
    and Authorization.apply_limits from code and documentation. (by
    @SeanHayes, closes #1383, #1045, #1284, #837)
    + Updates docs/cookbook.rst to make sure it's clear which url to
    import. (by @yuvadm, closes #716)
    + Updated docs/tutorial.rst. Without "null=True, blank=True"
    parameters in Slugfield, expecting "automatic slug generation" in
    save method is pointless. (by @orges, closes #753)
    + Cleaned up Riak docs. (by @SeanHayes, closes #275)
    + Include import statement for trailing_slash. (by @ljosa, closes
    [#770])
    + Fix docs: Meta.filtering is actually a dict. (by @georgedorn,
    closes #807)
    + Fix load data command. (by @blite, closes #357, #358)
  * Related schemas no longer raise error when not URL
    accessible. (Fixes PR #1439)
  * Avoid modifying Field instances during request/response
    cycle. (closes #1415)
  * Removing the Manager dependency in
    ToManyField.dehydrate(). (Closes #537)
* Tue Jan 26 2016 arun@gmx.de
- update to version 0.13.1:
  * Prevent muting non-tastypie's exceptions (#1297, PR #1404)
  * Gracefully handle UnsupportFormat exception (#1154, PR #1417)
  * Add related schema urls (#782, PR #1309)
  * Repr value must be str in Py2 (#1421, PR #1422)
  * Fixed assertHttpAccepted (PR #1416)
* Sun Jan 17 2016 arun@gmx.de
- specfile:
  * update copyright year
  * set PYTHONPATH for Sphinx make call
- update to version 0.13.0:
  * Various performance improvements (#1330, #1335, #1337, #1363)
  * More descriptive error messages (#1201)
  * Throttled requests now include Retry-After header. (#1204)
  * In DecimalField.hydrate, catch decimal.InvalidOperation and raise
    ApiFieldError (#862)
  * Add 'primary_key' Field To Schema (#1141)
  * ContentTypes: Remove 'return' in __init__; remove redundant
    parentheses (#1090)
  * Allow callable strings for ToOneField.attribute (#1193)
  * Ensure Tastypie doesn't return extra data it received (#1169)
  * In DecimalField.hydrate, catch decimal.InvalidOperation and raise
    ApiFieldError (#862)
  * Fixed tastypie's losing received microseconds. (#1126)
  * Data leakage fix (#1203)
  * Ignore extra related data (#1336)
  * Suppress Content-Type header on HTTP 204 (see #111) (#1054)
  * Allow creation of related resources that have an 'items'
    related_name (supercedes #1000) (#1340)
  * Serializers: remove unimplemented to_html/from_html (#1343)
  * If GEOS is not installed then exclude geos related calls. (#1348)
  * Fixed Resource.deserialize() to honor format parameter (#1354
    [#1356], #1358)
  * Raise ValueError when trying to register a Resource class instead
    of a Resource instance. (#1361)
  * Fix hydrating/saving of related resources. (#1363)
  * Use Tastypie DateField for DateField on the model. (SHA: b248e7f)
  * ApiFieldError on empty non-null field (#1208)
  * Full schema (all schemas in a single request) (#1207)
  * Added verbose_name to API schema. (#1370)
  * Fixes Reverse One to One Relationships (Replaces #568) (#1378)
  * Fixed "GIS importerror vs improperlyconfigured" (#1384)
  * Fixed bug which occurs when detail_uri_name field has a default
    value (Issue #1323) (#1387)
  * Fixed disabling cache using timeout=0, fixes #1213, #1212 (#1399)
  * Removed Django 1.5-1.6 support, added 1.9 support. (#1400)
  * stop using django.conf.urls.patterns (#1402)
  * Fix for saving related items when resource_uri is provided but
    other unique data is not. (#1394) (#1410)
* Fri Oct 30 2015 toddrme2178@gmail.com
- Remove python3-python-digest buildrequires.
  It is only an optional dependency, and it doesn't support
  python 3.x yet (or probably ever, since the package appears
  to be unmaintained).
* Sat Jul 18 2015 arun@gmx.de
- specfile:
  * update copyright year
  * added Sphinx to build documentation
- update to version 0.12.2:
  * Django 1.8 Compatability
* Sun Dec 14 2014 arun@gmx.de
- specfile: updated coyright year
- update to version 0.12.1:
  * This release is a small bugfix release, specifically to remove
    accidentally added files in the Wheel release.
- changes from verison 0.12.0:
  * Drastic reworking of the test suite. (SHA: 95f57f7)
  * Fixed Travis to run Python 3.4 tests. (SHA: 7af528c)
  * Fixed a bug where URLs would be incorrectly handled if the
    api_name & resource_name were the same. (SHA: fd55aa3)
  * Fixed a test requirement for PyYAML. (SHA: b4f6531)
  * Added support for Django 1.7. (SHA: 7881bb6)
  * Documentation updates
- changes from version 0.11.1:
  * Removed a mutable argument to Serializer.serialize. (SHA: fb7326d)
  * Fixed the unquote import in tastypie.contrib.gis. (SHA: 1958df0)
  * Enabled testing on Travis for Python 3.4. (SHA: 6596935)
  * Documentation updates
- changes from version 0.11.0:
  * Now raises ApiFieldError when a datetime can't be parsed. (SHA: b59ac03)
  * Reduced the length of the ApiKey.key field to 128. (SHA: 1cdf2c4)
  * A bunch of test improvements. (SHA: 4320db4, SHA: f1bc584 & SHA: bd75a92)
  * Updated SimpleCache to the post-Django 1.3 world. (SHA: 4963d97)
  * Fixed a bug where tastypie.utils.timezone.now could throw an exception. (SHA: b78175d)
  * Fixed the python-mimeparse dependency in setup.py. (SHA: 26dc473)
  * Pinned to the beta of python3-digest. (SHA: cc8ef0f)
  * Fixed CacheThrottle to work with Django's DummyCache. (SHA: 5b8a316)
  * Improved the error message from assertHttpAccepted. (SHA: 7dbed92)
  * Now raises BadRequest if we fail to decode JSON. (SHA: e9048fd)
  * Removed a duplicate if check. (SHA: 823d007)
  * Added further exception checking for new versions of dateutil. (SHA: 9739a35 & SHA: a8734cf)
  * Removed simplejson. (SHA: ae58615)
  * Removed old Django 1.4 code. (SHA: 3c7ce47)
  * Documentation updates
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires for Requires
* Sat Sep 28 2013 p.drouand@gmail.com
- Initial python3 support
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 0.10
  + No changelog available
- Replace python-distribute with python-setuptools BuildRequires
* Mon Jul 15 2013 mcihar@suse.cz
- Update to version 0.9.15:
  * No changelog available
* Thu Feb 14 2013 p.drouand@gmail.com
- Update to version 0.9.12:
  * No changelog available
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
